gtk.CellRendererProgress
Prev | The gtk Class Reference | Next

## gtk.CellRendererProgress

gtk.CellRendererProgress — an object that renders numbers as progress bars in a `gtk.TreeView` (new in PyGTK 2.6)

## Synopsis

    class gtk.CellRendererProgress(gtk.CellRenderer):
        gtk.CellRendererProgress()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.CellRenderer
          +-- gtk.CellRendererProgress

## gtk.CellRendererProgress Properties

gtk.Object Properties

gtk.CellRenderer Properties

"orientation" | Read/Write | The "orientation" property controls the direction and growth direction of the progress bar (left-to-right, right-to-left, top-to-bottom or bottom-to-top). Default value: gtk.PROGRESS_LEFT_TO_RIGHT. Available in GTK+ 2.12 and above.

"pulse"

Read/Write

Setting this to a non-negative value causes the cell renderer to enter "activity mode", where a block bounces back and forth to indicate that some progress is made, without specifying exactly how much. Each increment of the property causes the block to move by a little bit. To indicate that the activity has not started yet, set the property to zero. To indicate completion, set the property to G_MAXINT. Allowed values: >= -1. Default value: -1. Available in GTK+ 2.12 and above.

"text" | Read/Write | The text in the label that will be drawn over the progress bar. Setting this property to `None` causes the default label to be displayed. Setting this property to an empty string causes no label to be displayed. Default value: `None`. Available in GTK+ 2.6 and above.
"text-xalign" | Read/Write | The "text-xalign" property controls the horizontal alignment of the text in the progress bar. Valid values range from 0 (left) to 1 (right). Reserved for RTL layouts. Allowed values: [0,1]. Default value: 0.5. Available in GTK+ 2.12 and above.
"text-yalign" | Read/Write | The "text-yalign" property controls the vertical alignment of the text in the progress bar. Valid values range from 0 (top) to 1 (bottom). Allowed values: [0,1]. Default value: 0.5. Available in GTK+ 2.12 and above.
"value" | Read/Write | The percentage that the progress bar is "filled in". Available in GTK+ 2.6 and above.

## gtk.CellRendererProgress Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.CellRenderer Signal Prototypes

## Description

### Note

This object is available in PyGTK 2.6 and above.

The `gtk.CellRendererProgress` manages the rendering of a number as a progress bar in a `gtk.TreeView` cell.

## Constructor

        gtk.CellRendererProgress()

Returns : | the new cell renderer

### Note

This constructor is available in PyGTK 2.6 and above.

Creates a new `gtk.CellRendererProgress`. Rendering parameters are adjusted using the object properties. The object properties can be set globally (with `set_property`()). Also, with `gtk.TreeViewColumn`, you can bind a property to a value in a `gtk.TreeModel`. For example, you can bind the "text" property on the cell renderer to a string value in the model, thus rendering a different string in each row of the `gtk.TreeView`.

Prev | Up | Next
gtk.CellRendererPixbuf | Home | gtk.CellRendererSpin